Subject: [bug#77681] [PATCH 0/6 emacs-team] Run emacs tests

From: Gabriel Santos <[email-masked]>
Date: Wed, 09 Apr 2025 16:05:32 -0300

Em 9 de abril de 2025 15:54:12 BRT, Morgan Smith <[email-masked]> escreveu:
>I got a couple changes here but probably the most important is running the
>emacs test suite.
>
>I did want to ask about emacs-xwidgets though.  Recent versions of xwidgets
>(like the one we have packaged) does not play well with Emacs.  For more
>information see: Bug#66068
>
>I don't think this will be resolved anytime soon though.  Do we make a
>deprecated package for emacs-xwidgets or just remove it?
>
>Morgan Smith (6):
>  gnu: emacs-next: Update to 31.0.50-1.9663c95.
>  gnu: emacs-magit-popup: Skip tests.
>  gnu: emacs-guix: Skip tests.
>  gnu: emacs-stgit: Skip tests.
>  doc: Emacs Packages: Remove outdated commentary on testing.
>  gnu: emacs: Run tests.
>
> doc/contributing.texi                         |  9 +-
> gnu/local.mk                                  |  1 +
> gnu/packages/emacs-xyz.scm                    |  4 +-
> gnu/packages/emacs.scm                        | 97 +++++++++++++++++--
> .../emacs-next-disable-jit-compilation.patch  | 19 ++++
> gnu/packages/version-control.scm              |  1 +
> 6 files changed, 115 insertions(+), 16 deletions(-)
> create mode 100644 gnu/packages/patches/emacs-next-disable-jit-compilation.patch
>
>
>base-commit: ca30726285b6883a3b1fa89db64177460af69c42

In #77225[1], I removed emacs(-next)-xwidgets entirely.

[1] <https://issues.guix.gnu.org/77225>

-- 
Gabriel Santos